package cn.com.tenlion.institutionmanagement.pojo.vos.institution;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: InstitutionVO
 * @Description: 机构管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 17:58:49
 * @Version: 3.0
 **/
@ApiModel
public class InstitutionVO {

    @ApiModelProperty(name = "institutionName", value = "机构名称")
    private String institutionName;
    @ApiModelProperty(name = "institutionDesc", value = "机构描述")
    private String institutionDesc;
    @ApiModelProperty(name = "institutionImage", value = "机构图片")
    private String institutionImage;
    @ApiModelProperty(name = "institutionAddress", value = "机构详情地址")
    private String institutionAddress;
    @ApiModelProperty(name = "institutionX", value = "机构经度")
    private String institutionX;
    @ApiModelProperty(name = "institutionY", value = "机构纬度")
    private String institutionY;
    @ApiModelProperty(name = "institutionFoundingTime", value = "机构成立时间")
    private String institutionFoundingTime;
    @ApiModelProperty(name = "institutionPrincipal", value = "机构负责人")
    private String institutionPrincipal;
    @ApiModelProperty(name = "institutionContact", value = "机构联系方式")
    private String institutionContact;
    @ApiModelProperty(name = "institutionRegionProvince", value = "行政区划-省")
    private String institutionRegionProvince;
    @ApiModelProperty(name = "institutionRegionCity", value = "行政区化-市")
    private String institutionRegionCity;
    @ApiModelProperty(name = "institutionRegionArea", value = "行政区化-区")
    private String institutionRegionArea;
    @ApiModelProperty(name = "institutionRegionVillage", value = "行政区化-村")
    private String institutionRegionVillage;
    @ApiModelProperty(name = "institutionRegionStreet", value = "行政区化-街")
    private String institutionRegionStreet;
    @ApiModelProperty(name = "institutionType", value = "机构类型")
    private String institutionType;

    public String getInstitutionName() {
        return institutionName == null ? "" : institutionName.trim();
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getInstitutionDesc() {
        return institutionDesc == null ? "" : institutionDesc.trim();
    }

    public void setInstitutionDesc(String institutionDesc) {
        this.institutionDesc = institutionDesc;
    }

    public String getInstitutionImage() {
        return institutionImage == null ? "" : institutionImage.trim();
    }

    public void setInstitutionImage(String institutionImage) {
        this.institutionImage = institutionImage;
    }

    public String getInstitutionAddress() {
        return institutionAddress == null ? "" : institutionAddress.trim();
    }

    public void setInstitutionAddress(String institutionAddress) {
        this.institutionAddress = institutionAddress;
    }

    public String getInstitutionX() {
        return institutionX == null ? "" : institutionX.trim();
    }

    public void setInstitutionX(String institutionX) {
        this.institutionX = institutionX;
    }

    public String getInstitutionY() {
        return institutionY == null ? "" : institutionY.trim();
    }

    public void setInstitutionY(String institutionY) {
        this.institutionY = institutionY;
    }

    public String getInstitutionFoundingTime() {
        return institutionFoundingTime == null ? "" : institutionFoundingTime.trim();
    }

    public void setInstitutionFoundingTime(String institutionFoundingTime) {
        this.institutionFoundingTime = institutionFoundingTime;
    }

    public String getInstitutionPrincipal() {
        return institutionPrincipal == null ? "" : institutionPrincipal.trim();
    }

    public void setInstitutionPrincipal(String institutionPrincipal) {
        this.institutionPrincipal = institutionPrincipal;
    }

    public String getInstitutionContact() {
        return institutionContact == null ? "" : institutionContact.trim();
    }

    public void setInstitutionContact(String institutionContact) {
        this.institutionContact = institutionContact;
    }

    public String getInstitutionRegionProvince() {
        return institutionRegionProvince == null ? "" : institutionRegionProvince.trim();
    }

    public void setInstitutionRegionProvince(String institutionRegionProvince) {
        this.institutionRegionProvince = institutionRegionProvince;
    }

    public String getInstitutionRegionCity() {
        return institutionRegionCity == null ? "" : institutionRegionCity.trim();
    }

    public void setInstitutionRegionCity(String institutionRegionCity) {
        this.institutionRegionCity = institutionRegionCity;
    }

    public String getInstitutionRegionArea() {
        return institutionRegionArea == null ? "" : institutionRegionArea.trim();
    }

    public void setInstitutionRegionArea(String institutionRegionArea) {
        this.institutionRegionArea = institutionRegionArea;
    }

    public String getInstitutionRegionVillage() {
        return institutionRegionVillage == null ? "" : institutionRegionVillage.trim();
    }

    public void setInstitutionRegionVillage(String institutionRegionVillage) {
        this.institutionRegionVillage = institutionRegionVillage;
    }

    public String getInstitutionRegionStreet() {
        return institutionRegionStreet == null ? "" : institutionRegionStreet.trim();
    }

    public void setInstitutionRegionStreet(String institutionRegionStreet) {
        this.institutionRegionStreet = institutionRegionStreet;
    }

    public String getInstitutionType() {
        return institutionType;
    }

    public void setInstitutionType(String institutionType) {
        this.institutionType = institutionType;
    }
}
